classification
Title: Clear C code under PyImport_ExecCodeModuleObject()
Type: Stage: needs patch
Components: Interpreter Core Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, loewis, python-dev
Priority: release blocker Keywords:

Created on 2012-06-24 19:59 by brett.cannon, last changed 2012-07-13 17:58 by brett.cannon. This issue is now closed.

Messages (4)
msg163834 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-06-24 19:59
import.c:PyImport_ExecCodeModuleObject() is holding on to a ton of C code thanks to get_sourcefile(). Should have PyImport_ExecCodeModuleWithPathnames() use get_sourcefile() only. And then get_sourcefile() should get re-implemented in Python code.
msg163836 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-24 20:02
I propose to defer this to 3.4.
msg164019 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-06-25 21:29
The problem of deferring to 3.4 is that it will lock in semantics which are honestly weird and not desirable for PyImport_ExecCodeModuleObject() which is new in 3.3.
msg165393 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-13 17:57
New changeset 9e164b404983 by Brett Cannon in branch 'default':
Issues #15169, #14599: Make PyImport_ExecCodeModuleWithPathnames() use
http://hg.python.org/cpython/rev/9e164b404983
History
Date User Action Args
2012-07-13 17:58:39brett.cannonlinkissue14599 dependencies
2012-07-13 17:58:30brett.cannonsetstatus: open -> closed
resolution: fixed
2012-07-13 17:57:11python-devsetnosy: + python-dev
messages: + msg165393
2012-07-13 15:37:25brett.cannonsetassignee: brett.cannon
2012-07-13 15:32:42brett.cannonsetpriority: normal -> release blocker
2012-06-25 21:29:35brett.cannonsetmessages: + msg164019
2012-06-24 20:02:12loewissetnosy: + loewis
messages: + msg163836
2012-06-24 19:59:15brett.cannoncreate